#include "main.h"


extern void UartDataRecvSet(uint8_t val);
extern uint8_t UartDataRecvGet(void);
extern void Uart3_Data_Send(uint8_t* data,uint8_t size);
extern void Uart2_Data_Send(uint8_t* data,uint8_t size);
extern void Uart1_Data_Send(uint8_t* data,uint8_t size);
extern int _write (int file, uint8_t *ptr, uint16_t len);
extern void Uart_dataCheck(uint8_t Usart_Num ,uint8_t* cnt);
extern void UartDataBufferCheck(void);
extern void QueueCheck(uint8_t Usart_Num,uint8_t* header,uint8_t* tail);

#define USART_CNT 2
#define buf_size 100
#define USART1_CNT 0
#define USART2_CNT 1

extern uint8_t buf[USART_CNT][buf_size];
extern uint8_t count_in1 , count_out1;
extern uint8_t count_in2 , count_out2;

extern uint8_t rx1_data[1];
extern uint8_t rx2_data[1];

extern UART_HandleTypeDef huart1;
extern UART_HandleTypeDef huart2;
extern UART_HandleTypeDef huart3;

extern volatile uint32_t UartTimerCnt;

